<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class Log extends AdminController
{
	public function __construct()
	{
		parent::__construct();
		$this->load->helper('fungsi');
		$this->load->model('log_m');
		$this->load->model('general_m');
	}

	public function index()
	{
		$this->data['judul_browser'] = 'Log Aktivitas';
		$this->data['judul_utama'] = 'Log Aktivitas';
		$this->data['judul_sub'] = 'List';

		$this->data['css_files'][] = base_url() . 'assets/easyui/themes/default/easyui.css';
		$this->data['css_files'][] = base_url() . 'assets/easyui/themes/icon.css';
		$this->data['js_files'][] = base_url() . 'assets/easyui/jquery.easyui.min.js';

		#include tanggal
		$this->data['css_files'][] = base_url() . 'assets/extra/bootstrap_date_time/css/bootstrap-datetimepicker.min.css';
		$this->data['js_files'][] = base_url() . 'assets/extra/bootstrap_date_time/js/bootstrap-datetimepicker.min.js';
		$this->data['js_files'][] = base_url() . 'assets/extra/bootstrap_date_time/js/locales/bootstrap-datetimepicker.id.js';

		#include daterange
		$this->data['css_files'][] = base_url() . 'assets/theme_admin/css/daterangepicker/daterangepicker-bs3.css';
		$this->data['js_files'][] = base_url() . 'assets/theme_admin/js/plugins/daterangepicker/daterangepicker.js';

		//number_format
		$this->data['js_files'][] = base_url() . 'assets/extra/fungsi/number_format.js';

		$this->data['log'] = $this->log_m->get_data_log();

		$this->data['isi'] = $this->load->view('log_list_v', $this->data, TRUE);
		$this->load->view('themes/layout_utama_v', $this->data);
	}

	function list_anggota()
	{
		$q = isset($_POST['q']) ? $_POST['q'] : '';
		$data   = $this->general_m->get_data_anggota_ajax($q);
		$i	= 0;
		$rows   = array();
		foreach ($data['data'] as $r) {
			if ($r->file_pic == '') {
				$rows[$i]['photo'] = '<img src="' . base_url() . 'assets/theme_admin/img/photo.jpg" alt="default" width="30" height="40" />';
			} else {
				$rows[$i]['photo'] = '<img src="' . base_url() . 'uploads/anggota/' . $r->file_pic . '" alt="Foto" width="30" height="40" />';
			}
			$rows[$i]['id'] = $r->id;
			$rows[$i]['kode_anggota'] = 'AG' . sprintf('%04d', $r->id) . '<br>' . $r->identitas;
			$rows[$i]['nama'] = $r->nama;
			$rows[$i]['kota'] = $r->kota . '<br>' . $r->departement;
			$i++;
		}
		//keys total & rows wajib bagi jEasyUI
		$result = array('total' => $data['count'], 'rows' => $rows);
		echo json_encode($result); //return nya json
	}

	function get_anggota_by_id()
	{
		$id = isset($_POST['anggota_id']) ? $_POST['anggota_id'] : '';
		$r   = $this->general_m->get_data_anggota($id);
		$out = '';
		$photo_w = 3 * 30;
		$photo_h = 4 * 30;
		if ($r->file_pic == '') {
			$out = '<img src="' . base_url() . 'assets/theme_admin/img/photo.jpg" alt="default" width="' . $photo_w . '" height="' . $photo_h . '" />'
				. '<br> ID : ' . 'AG' . sprintf('%04d', $r->id) . '';
		} else {
			$out = '<img src="' . base_url() . 'uploads/anggota/' . $r->file_pic . '" alt="Foto" width="' . $photo_w . '" height="' . $photo_h . '" />'
				. '<br> ID : ' . 'AG' . sprintf('%04d', $r->id) . '';
		}
		echo $out;
		exit();
	}

	function ajax_list()
	{
		/*Default request pager params dari jeasyUI*/
		$offset = isset($_POST['page']) ? intval($_POST['page']) : 1;
		$limit  = isset($_POST['rows']) ? intval($_POST['rows']) : 10;
		$sort  = isset($_POST['sort']) ? $_POST['sort'] : 'created_at';
		$order  = isset($_POST['order']) ? $_POST['order'] : 'desc';
		$cari_user = isset($_POST['cari_user']) ? $_POST['cari_user'] : '';
		$tgl_dari = isset($_POST['tgl_dari']) ? $_POST['tgl_dari'] : '';
		$tgl_sampai = isset($_POST['tgl_sampai']) ? $_POST['tgl_sampai'] : '';
		$search = array(
			'cari_user' => $cari_user,
			'tgl_dari' => $tgl_dari,
			'tgl_sampai' => $tgl_sampai
		);
		$offset = ($offset - 1) * $limit;
		$data   = $this->log_m->get_data_log_ajax($offset, $limit, $search, $sort, $order);
		$i	= 0;
		$rows   = array();

		foreach ($data['data'] as $r) {
			$tgl_bayar = explode(' ', $r->created_at);
			$txt_tanggal = jin_date_ina($tgl_bayar[0]);
			$txt_tanggal .= ' - ' . substr($tgl_bayar[1], 0, 5);

			$rows[$i]['id'] = $r->id;
			$rows[$i]['nama'] = $r->nama;
			$rows[$i]['pesan'] = substr($r->pesan, 0, 100);
			$rows[$i]['created_at'] = $txt_tanggal;
			$i++;
		}
		//keys total & rows wajib bagi jEasyUI
		$result = array('total' => $data['count'], 'rows' => $rows);
		echo json_encode($result); //return nya json
	}



	public function delete()
	{
		if (!isset($_POST)) {
			show_404();
		}
		$id = intval(addslashes($_POST['id']));

		$delete_result = $this->log_m->delete($id);

		if ($delete_result === "tgl_catat_expired") {
			echo json_encode(array('ok' => false, 'msg' => '<div class="text-red"><i class="fa fa-ban"></i> Maaf, Data tidak dapat dihapus karena sudah melebihi 48 jam dari waktu pencatatan.</div>'));
		} elseif ($delete_result) {
			echo json_encode(array('ok' => true, 'msg' => '<div class="text-green"><i class="fa fa-check"></i> Data berhasil dihapus </div>'));
		} else {
			echo json_encode(array('ok' => false, 'msg' => '<div class="text-red"><i class="fa fa-ban"></i> Maaf, Data gagal dihapus </div>'));
		}
	}

	public function createLog()
	{
		$data = array(
			'user_id'		=>	(int)$this->session->userdata('id'),
			'pesan'			=>	'a',
			'created_at'	=>	date('Y-m-d H:i:s'),
		);
		$this->db->insert('tbl_log', $data);
	}



	function cetak_laporan()
	{
		$log = $this->log_m->lap_data_log();
		if ($log == FALSE) {
			//redirect('simpanan');
			echo 'DATA KOSONG<br>Pastikan Filter Tanggal dengan benar.';
			exit();
		}

		$tgl_dari = $_REQUEST['tgl_dari'];
		$tgl_sampai = $_REQUEST['tgl_sampai'];

		$this->load->library('Pdf');
		$pdf = new Pdf('L', 'mm', 'A4', true, 'UTF-8', false);
		$pdf->set_nsi_header(TRUE);
		$pdf->AddPage('L');
		$html = '';
		$html .= '
		<style>
			.h_tengah {text-align: center;}
			.h_kiri {text-align: left;}
			.h_kanan {text-align: right;}
			.txt_judul {font-size: 12pt; font-weight: bold; padding-bottom: 12px;}
			.header_kolom {background-color: #cccccc; text-align: center; font-weight: bold;}
			.txt_content {font-size: 10pt; font-style: arial;}
		</style>
		' . $pdf->nsi_box($text = '<span class="txt_judul">Laporan Data Log Aktivitas <br></span>
			<span> Periode ' . jin_date_ina($tgl_dari) . ' - ' . jin_date_ina($tgl_sampai) . '</span> ', $width = '100%', $spacing = '0', $padding = '1', $border = '0', $align = 'center') . '
		<table width="100%" cellspacing="0" cellpadding="3" border="1" border-collapse= "collapse">
		<tr class="header_kolom">
			<th class="h_tengah" style="width:5%;" > No. </th>
			<th class="h_tengah" style="width:10%;"> Pengguna</th>
			<th class="h_tengah" style="width:75%;"> Pesan </th>
			<th class="h_tengah" style="width:10%;"> Tanggal </th>
		</tr>';

		$no = 1;
		foreach ($log as $row) {

			$tgl_bayar = explode(' ', $row->created_at);
			$txt_tanggal = jin_date_ina($tgl_bayar[0], 'p');

			// '.'AG'.sprintf('%04d', $row->anggota_id).'
			$html .= '
			<tr>
				<td class="h_tengah" >' . $no++ . '</td>
				<td class="h_tengah"> ' . $row->nama . '</td>
				<td class="h_tengah"> ' . substr($row->pesan, 0, 100) . '</td>
				<td class="h_tengah"> ' . $txt_tanggal . '</td>
			</tr>';
		}
		$html .= '
		</table>';
		$pdf->nsi_html($html);
		$pdf->Output('Log' . date('Ymd_His') . '.pdf', 'I');
	}
}
