<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class Log_m extends CI_Model
{

	public function __construct()
	{
		parent::__construct();
	}

	#panggil data log
	function get_data_log()
	{
		$this->db->select('*');
		$this->db->from('tbl_log');
		$this->db->order_by('created_at', 'ASC');
		$query = $this->db->get();
		if ($query->num_rows() > 0) {
			$out = $query->result();
			return $out;
		} else {
			return FALSE;
		}
	}

	//panggil data simpanan untuk esyui
	function get_data_log_ajax($offset, $limit, $q = '', $sort, $order)
	{
		$sql = "SELECT tbl_log.*, tbl_user.u_name as nama FROM tbl_log JOIN tbl_user ON tbl_log.user_id = tbl_user.id";
		if (is_array($q)) {
			if ($q['cari_user'] != '') {
				$sql .= " AND (tbl_user.u_name LIKE '" . $q['cari_user'] . "') ";
			} else {

				if ($q['tgl_dari'] != '' && $q['tgl_sampai'] != '') {
					$sql .= " AND DATE(created_at) >= '" . $q['tgl_dari'] . "' ";
					$sql .= " AND DATE(created_at) <= '" . $q['tgl_sampai'] . "' ";
				}
			}
		}
		$result['count'] = $this->db->query($sql)->num_rows();
		$sql .= " ORDER BY {$sort} {$order} ";
		$sql .= " LIMIT {$offset},{$limit} ";
		$result['data'] = $this->db->query($sql)->result();
		return $result;
	}


	public function createLog($pesan)
	{
		$data = array(
			'user_id'		=>	(int)$this->session->userdata('id'),
			'pesan'			=>	$pesan,
			'created_at'	=>	date('Y-m-d H:i:s'),
		);
		$this->db->insert('tbl_log', $data);
	}


	public function delete($id)
	{
		// Ambil data transaksi yang akan dihapus
		$transaction = $this->db->get_where('tbl_log', array('id' => $id))->row();

		// Hitung selisih waktu
		$tgl_catat = strtotime($transaction->created_at);
		$current_time = time();
		$time_diff = $current_time - $tgl_catat;
		$hours_diff = $time_diff / (60 * 60);

		// Batasi waktu maksimum 48 jam (48 jam = 48 * 60 menit = 48 * 60 * 60 detik)
		$max_hours = 48;

		if (($hours_diff > $max_hours) && ($this->session->userdata('level') != 'admin')) {
			// Jika selisih waktu melebihi 48 jam, kembalikan pesan "tgl_catat_expired"
			return "tgl_catat_expired";
		}

		// Jika selisih waktu kurang dari atau sama dengan 48 jam, lanjutkan dengan operasi delete
		return $this->db->delete('tbl_log', array('id' => $id));
	}

	//panggil data simpanan untuk laporan 
	function lap_data_log()
	{
		$cari_user = isset($_REQUEST['cari_user']) ? $_REQUEST['cari_user'] : '';
		$tgl_dari = isset($_REQUEST['tgl_dari']) ? $_REQUEST['tgl_dari'] : '';
		$tgl_sampai = isset($_REQUEST['tgl_sampai']) ? $_REQUEST['tgl_sampai'] : '';
		$sql = '';
		$sql = "SELECT tbl_log.*, tbl_user.u_name as nama FROM tbl_log JOIN tbl_user ON tbl_log.user_id = tbl_user.id";
		$q = array(
			'cari_user' => $cari_user,
			'tgl_dari' => $tgl_dari,
			'tgl_sampai' => $tgl_sampai
		);
		if (is_array($q)) {
			if ($q['cari_user'] != '') {
				$sql .= " AND (tbl_user.u_name LIKE '" . $q['cari_user'] . "') ";
			} else {

				if ($q['tgl_dari'] != '' && $q['tgl_sampai'] != '') {
					$sql .= " AND DATE(created_at) >= '" . $q['tgl_dari'] . "' ";
					$sql .= " AND DATE(created_at) <= '" . $q['tgl_sampai'] . "' ";
				}
			}
		}
		$query = $this->db->query($sql);
		if ($query->num_rows() > 0) {
			$out = $query->result();
			return $out;
		} else {
			return FALSE;
		}
	}
}
