<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class Pemasukan_m extends CI_Model
{

	public function __construct()
	{
		parent::__construct();
	}

	#panggil data kas
	function get_data_kas()
	{
		$this->db->select('*');
		$this->db->from('nama_kas_tbl');
		$this->db->where('aktif', 'Y');
		$this->db->where('tmpl_pemasukan', 'Y');
		$this->db->order_by('id', 'ASC');
		$query = $this->db->get();
		if ($query->num_rows() > 0) {
			$out = $query->result();
			return $out;
		} else {
			return array();
		}
	}

	//panggil data jenis kas
	function get_jenis_kas($id)
	{
		$this->db->select('*');
		$this->db->from('nama_kas_tbl');
		$this->db->where('id', $id);
		$query = $this->db->get();

		if ($query->num_rows() > 0) {
			$out = $query->row();
			return $out;
		} else {
			return FALSE;
		}
	}

	#panggil data akun
	function get_data_akun()
	{
		$this->db->select('*');
		$this->db->from('jns_akun');
		$this->db->where('aktif', 'Y');
		$this->db->where('pemasukan', 'Y');
		$this->db->order_by('id', 'ASC');
		$query = $this->db->get();
		if ($query->num_rows() > 0) {
			$out = $query->result();
			return $out;
		} else {
			return array();
		}
	}

	//panggil data jenis kas
	function get_jenis_akun($id)
	{
		$this->db->select('*');
		$this->db->from('jns_akun');
		$this->db->where('id', $id);
		$query = $this->db->get();

		if ($query->num_rows() > 0) {
			$out = $query->row();
			return $out;
		} else {
			return FALSE;
		}
	}

	//panggil data simpanan untuk laporan 
	function lap_data_pemasukan()
	{
		$kode_transaksi = isset($_REQUEST['kode_transaksi']) ? $_REQUEST['kode_transaksi'] : '';
		$tgl_dari = isset($_REQUEST['tgl_dari']) ? $_REQUEST['tgl_dari'] : '';
		$tgl_sampai = isset($_REQUEST['tgl_sampai']) ? $_REQUEST['tgl_sampai'] : '';
		$sql = '';
		$sql = " SELECT * FROM tbl_trans_kas WHERE akun='Pemasukan' ";
		$q = array(
			'kode_transaksi' => $kode_transaksi,
			'tgl_dari' => $tgl_dari,
			'tgl_sampai' => $tgl_sampai
		);
		if (is_array($q)) {
			if ($q['kode_transaksi'] != '') {
				$q['kode_transaksi'] = str_replace('TKD', '', $q['kode_transaksi']);
				$q['kode_transaksi'] = $q['kode_transaksi'] * 1;
				$sql .= " AND id LIKE '" . $q['kode_transaksi'] . "' ";
			} else {

				if ($q['tgl_dari'] != '' && $q['tgl_sampai'] != '') {
					$sql .= " AND DATE(tgl_catat) >= '" . $q['tgl_dari'] . "' ";
					$sql .= " AND DATE(tgl_catat) <= '" . $q['tgl_sampai'] . "' ";
				}
			}
		}
		$query = $this->db->query($sql);
		if ($query->num_rows() > 0) {
			$out = $query->result();
			return $out;
		} else {
			return FALSE;
		}
	}

	//panggil data simpanan untuk esyui
	function get_data_transaksi_ajax($offset, $limit, $q = '', $sort, $order)
	{
		$sql = "SELECT * FROM tbl_trans_kas WHERE akun='Pemasukan' ";
		if (is_array($q)) {
			if ($q['kode_transaksi'] != '') {
				$q['kode_transaksi'] = str_replace('TKD', '', $q['kode_transaksi']);
				$q['kode_transaksi'] = $q['kode_transaksi'] * 1;
				$sql .= " AND id LIKE '" . $q['kode_transaksi'] . "' ";
			} else {
				if ($q['tgl_dari'] != '' && $q['tgl_sampai'] != '') {
					$sql .= " AND DATE(tgl_catat) >= '" . $q['tgl_dari'] . "' ";
					$sql .= " AND DATE(tgl_catat) <= '" . $q['tgl_sampai'] . "' ";
				}
			}
		}
		$result['count'] = $this->db->query($sql)->num_rows();
		$sql .= " ORDER BY {$sort} {$order} ";
		$sql .= " LIMIT {$offset},{$limit} ";
		$result['data'] = $this->db->query($sql)->result();
		return $result;
	}

	public function create()
	{
		if (str_replace(',', '', $this->input->post('jumlah')) <= 0) {
			return FALSE;
		}
		$data = array(
			'tgl_catat'		=>	$this->input->post('tgl_transaksi'),
			'jumlah'					=>	str_replace(',', '', $this->input->post('jumlah')),
			'keterangan'			=>	$this->input->post('ket'),
			'dk'						=>	'D',
			'akun'					=>	'Pemasukan',
			'untuk_kas_id'			=>	$this->input->post('kas_id'),
			'jns_trans'				=>	$this->input->post('akun_id'),
			'user_name'				=> $this->data['u_name']
		);

		$log = 'Membuat data Pemasukan dengan Jumlah : ' . str_replace(',', '', $this->input->post('jumlah')) . ' dan Keterangan : ' . $this->input->post('ket');
		$this->log_m->createLog($log);

		return $this->db->insert('tbl_trans_kas', $data);
	}

	public function update($id)
	{
		// Ambil data transaksi yang sedang diupdate
		$transaction = $this->db->get_where('tbl_trans_kas', array('id' => $id))->row();

		// Hitung selisih waktu
		$tgl_catat = strtotime($transaction->tgl_catat);
		$current_time = time();
		$time_diff = $current_time - $tgl_catat;
		$hours_diff = $time_diff / (60 * 60);

		// Batasi waktu maksimum 48 jam (48 jam = 48 * 60 menit = 48 * 60 * 60 detik)
		$max_hours = 48;

		if (($hours_diff > $max_hours) && ($this->session->userdata('level') != 'admin')) {
			// Jika selisih waktu melebihi 48 jam, kembalikan pesan "tgl_catat_expired"
			return "tgl_catat_expired";
		}

		$log = 'Memperbaharui data Pemasukan pada ID : ' . $id;
		$this->log_m->createLog($log);

		// Jika selisih waktu kurang dari atau sama dengan 48 jam, lanjutkan dengan operasi update
		return $this->db->update('tbl_trans_kas', array(
			'tgl_catat' => $this->input->post('tgl_transaksi'),
			'jumlah' => str_replace(',', '', $this->input->post('jumlah')),
			'keterangan' => $this->input->post('ket'),
			'untuk_kas_id' => $this->input->post('kas_id'),
			'jns_trans' => $this->input->post('akun_id'),
			'update_data' => date('Y-m-d H:i'),
			'user_name' => $this->data['u_name']
		), array('id' => $id));
	}


	public function delete($id)
	{
		// Ambil data transaksi yang akan dihapus
		$transaction = $this->db->get_where('tbl_trans_kas', array('id' => $id))->row();

		// Hitung selisih waktu
		$tgl_catat = strtotime($transaction->tgl_catat);
		$current_time = time();
		$time_diff = $current_time - $tgl_catat;
		$hours_diff = $time_diff / (60 * 60);

		// Batasi waktu maksimum 48 jam (48 jam = 48 * 60 menit = 48 * 60 * 60 detik)
		$max_hours = 48;

		if (($hours_diff > $max_hours) && ($this->session->userdata('level') != 'admin')) {
			// Jika selisih waktu melebihi 48 jam, kembalikan pesan "tgl_catat_expired"
			return "tgl_catat_expired";
		}

		$log = 'Menghapus data Pemasukan pada ID : ' . $id;
		$this->log_m->createLog($log);
		// Jika selisih waktu kurang dari atau sama dengan 48 jam, lanjutkan dengan operasi delete
		return $this->db->delete('tbl_trans_kas', array('id' => $id));
	}
}
