<!-- Styler -->
<style type="text/css">
	td,
	div {
		font-family: "Arial", "​Helvetica", "​sans-serif";
	}

	.datagrid-header-row * {
		font-weight: bold;
	}

	.messager-window * a:focus,
	.messager-window * span:focus {
		color: blue;
		font-weight: bold;
	}

	.daterangepicker * {
		font-family: "Source Sans Pro", "Arial", "​Helvetica", "​sans-serif";
		box-sizing: border-box;
	}

	.glyphicon {
		font-family: "Glyphicons Halflings"
	}
</style>

<?php
// buaat tanggal sekarang
$tanggal = date('Y-m-d H:i');
$tanggal_arr = explode(' ', $tanggal);
$txt_tanggal = jin_date_ina($tanggal_arr[0]);
$txt_tanggal .= ' - ' . $tanggal_arr[1];
?>

<!-- Data Grid -->
<table id="dg" class="easyui-datagrid" title="Data Log Aktivitas" style="width:auto; height: auto;" url="<?php echo site_url('log/ajax_list'); ?>" pagination="true" rownumbers="true" fitColumns="true" singleSelect="true" collapsible="true" sortName="created_at" sortOrder="desc" toolbar="#tb" striped="true">
	<thead>
		<tr>
			<th data-options="field:'id', sortable:'true',halign:'center', align:'center'" hidden="true">ID</th>
			<th data-options="field:'nama', width:'17', halign:'center', align:'center'">Pengguna</th>
			<th data-options="field:'pesan',halign:'center', align:'center'">Aktivitas</th>
			<th data-options="field:'created_at', width:'25', halign:'center', align:'center'">Tanggal Aktivitas</th>
		</tr>
	</thead>
</table>

<!-- Toolbar -->
<div id="tb" style="height: 35px;">
	<div style="vertical-align: middle; display: inline; padding-top: 15px;">
		<a href="javascript:void(0)" class="easyui-linkbutton" iconCls="icon-cancel" plain="true" onclick="hapus()">Hapus</a>
	</div>
	<div class="pull-right" style="vertical-align: middle;">
		<div id="filter_tgl" class="input-group" style="display: inline;">
			<button class="btn btn-default" id="daterange-btn" style="line-height:16px;border:1px solid #ccc">
				<i class="fa fa-calendar"></i> <span id="reportrange"><span> Tanggal</span></span>
				<i class="fa fa-caret-down"></i>
			</button>
		</div>
		<span>Cari :</span>
		<input name="cari_user" id="cari_user" size="22" style="line-height:25px;border:1px solid #ccc;">

		<a href="javascript:void(0);" id="btn_filter" class="easyui-linkbutton" iconCls="icon-search" plain="false" onclick="doSearch()">Cari</a>
		<a href="javascript:void(0)" class="easyui-linkbutton" iconCls="icon-print" plain="false" onclick="cetak()">Cetak Laporan</a>
		<a href="javascript:void(0);" class="easyui-linkbutton" iconCls="icon-clear" plain="false" onclick="clearSearch()">Hapus Filter</a>
	</div>
</div>


<script type="text/javascript">
	$(document).ready(function() {

		$(".dtpicker").datetimepicker({
			language: 'id',
			weekStart: 1,
			autoclose: true,
			todayBtn: true,
			todayHighlight: true,
			pickerPosition: 'bottom-right',
			format: "dd MM yyyy - hh:ii",
			linkField: "tgl_transaksi",
			linkFormat: "yyyy-mm-dd hh:ii"
		});

		$("#cari_user").change(function() {
			$('#dg').datagrid('load', {
				cari_user: $('#cari_user').val()
			});
		});


		fm_filter_tgl();
	}); // ready

	function fm_filter_tgl() {
		$('#daterange-btn').daterangepicker({
				ranges: {
					'Hari ini': [moment(), moment()],
					'Kemarin': [moment().subtract('days', 1), moment().subtract('days', 1)],
					'7 Hari yang lalu': [moment().subtract('days', 6), moment()],
					'30 Hari yang lalu': [moment().subtract('days', 29), moment()],
					'Bulan ini': [moment().startOf('month'), moment().endOf('month')],
					'Bulan kemarin': [moment().subtract('month', 1).startOf('month'), moment().subtract('month', 1).endOf('month')],
					'Tahun ini': [moment().startOf('year').startOf('month'), moment().endOf('year').endOf('month')],
					'Tahun kemarin': [moment().subtract('year', 1).startOf('year').startOf('month'), moment().subtract('year', 1).endOf('year').endOf('month')]
				},
				showDropdowns: true,
				format: 'YYYY-MM-DD',
				startDate: moment().startOf('year').startOf('month'),
				endDate: moment().endOf('year').endOf('month')
			},

			function(start, end) {
				$('#reportrange span').html(start.format('D MMM YYYY') + ' - ' + end.format('D MMM YYYY'));
				doSearch();
			});
	}
</script>

<script type="text/javascript">
	var url;

	function doSearch() {
		$('#dg').datagrid('load', {
			cari_user: $('#cari_user').val(),
			tgl_dari: $('input[name=daterangepicker_start]').val(),
			tgl_sampai: $('input[name=daterangepicker_end]').val()
		});
	}

	function clearSearch() {
		location.reload();
	}

	function hapus() {
		var row = $('#dg').datagrid('getSelected');
		if (row) {
			$.messager.confirm('Konfirmasi', 'Apakah Anda akan menghapus data kode ID: <code>' + row.id + '</code> Pada Pengguna : <code>' + row.nama + '</code> ?', function(r) {
				if (r) {
					$.ajax({
						type: "POST",
						url: "<?php echo site_url('log/delete'); ?>",
						data: 'id=' + row.id,
						success: function(result) {
							var result = eval('(' + result + ')');
							$.messager.show({
								title: '<div><i class="fa fa-info"></i> Informasi</div>',
								msg: result.msg,
								timeout: 2000,
								showType: 'slide'
							});
							if (result.ok) {
								$('#dg').datagrid('reload');
							}
						},
						error: function() {
							$.messager.show({
								title: '<div><i class="fa fa-warning"></i> Peringatan !</div>',
								msg: '<div class="text-red"><i class="fa fa-ban"></i> Maaf, Terjadi kesalahan koneksi, silahkan muat ulang !</div>',
								timeout: 2000,
								showType: 'slide'
							});
						}
					});
				}
			});
		} else {
			$.messager.show({
				title: '<div><i class="fa fa-warning"></i> Peringatan !</div>',
				msg: '<div class="text-red"><i class="fa fa-ban"></i> Maaf, Data harus dipilih terlebih dahulu </div>',
				timeout: 2000,
				showType: 'slide'
			});
		}
		$('.messager-button a:last').focus();
	}

	function cetak() {
		var cari_user = $('#cari_user').val();
		var tgl_dari = $('input[name=daterangepicker_start]').val();
		var tgl_sampai = $('input[name=daterangepicker_end]').val();

		var win = window.open('<?php echo site_url("simpanan/cetak_laporan/?cari_user=' + cari_user + '&tgl_dari=' + tgl_dari + '&tgl_sampai=' + tgl_sampai + '"); ?>');
		if (win) {
			win.focus();
		} else {
			alert('Popup jangan di block');
		}
	}
</script>